org.modeshape.jcr.index.local

## Class MapDB.SerializerSupplier

- java.lang.Object
- - org.modeshape.jcr.index.local.MapDB.SerializerSupplier

- All Implemented Interfaces:
    MapDB.Serializers
  Enclosing class:
    MapDB

      public static final class MapDB.SerializerSupplier
      extends Object
      implements MapDB.Serializers

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MapDB.SerializerSupplier(ValueFactories factories)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.mapdb.BTreeKeySerializer<?>` | `bTreeKeySerializerFor(Class<?> type, Comparator<?> comparator, boolean pack)` Obtain a serializer for the given key type.
    `org.mapdb.Serializer<?>` | `serializerFor(Class<?> type)` Obtain a serializer for the given value type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapDB.SerializerSupplier

          protected MapDB.SerializerSupplier(ValueFactories factories)

  - ### Method Detail

    - #### serializerFor

          public org.mapdb.Serializer<?> serializerFor(Class<?> type)

      Description copied from interface: `MapDB.Serializers`
      Obtain a serializer for the given value type.
      Specified by:
        `serializerFor` in interface `MapDB.Serializers`
      Parameters:
        `type` - the type; may not be null
      Returns:
        the serializer

    - #### bTreeKeySerializerFor

          public org.mapdb.BTreeKeySerializer<?> bTreeKeySerializerFor(Class<?> type,
                                                              Comparator<?> comparator,
                                                              boolean pack)

      Description copied from interface: `MapDB.Serializers`
      Obtain a serializer for the given key type.
      Specified by:
        `bTreeKeySerializerFor` in interface `MapDB.Serializers`
      Parameters:
        `type` - the type; may not be null
        `comparator` - the comparator; may not be null
        `pack` - true if the serializer can/should pack keys together when possible, or false otherwise
      Returns:
        the serializer

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.